Subject: Re: bug#8334: Segmentation fault in mark_object (in my patched version)

From: Lennart Borgman <[email-masked]>
Date: Thu, 24 Mar 2011 02:52:07 +0100

On Thu, Mar 24, 2011 at 2:46 AM, Chong Yidong <[email-masked]> wrote:
> Lennart Borgman <[email-masked]> writes:
>
>> It seems like you do not consider it worth looking at. Is not that a
>> quite strange handling of a crash report? How did you came to your
>> conclusion?
>
> If a bug is reported from a modified version of Emacs with a
> reproducible test case, it is worth investigating, since we can easily
> check whether it occurs in our unmodified tree.
>
> The present bug is reported from a modified version of Emacs, but with
> no test case, no description of events leading to the crash, and an
> uninformative backtrace.  For all we know, it is due to your own
> unspecified changes.  So it is more profitable for Emacs developers to
> work on the bugs in our tree that need attention.

You make an unwarranted assumption. For all I know it does not depend
on my changes. It is not impossible, but I doubt it. The problem is
that the different threads involved might be badly coordinated in
certain cases. This is a general problem I have pointed to several
times (without much success).

So why do you make this assumption?

> If you come across any new information, please let us know.  Thanks.
>